Bug 157602 - [PATCH] Fix port: irc/tr-ircd should use USERS
Summary: [PATCH] Fix port: irc/tr-ircd should use USERS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 12:00 UTC by Chris Rees
Modified: 2011-07-04 20:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 12:00:21 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=

Fix: - Use USERS and GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)

	Please bear in mind that files/pkg-install.in has been removed.




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--xCFbJTINLRdxUxr0DXbLx7tyKaPihKxef91rRVR6uglG7DwY
Content-Type: text/plain; name="irc-tr-ircd.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="irc-tr-ircd.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/tr-ircd/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- Makefile	23 Mar 2011 15:53:18 -0000	1.24
+++ Makefile	2 Jun 2011 19:54:42 -0000
@@ -21,6 +21,8 @@
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 
+USERS=		${TRIRCD_USER}
+GROUPS=		${TRIRCD_GROUP}
 TRIRCD_MAXCLIENTS?=	128
 
 TRIRCD_USER?=	trircd
@@ -45,13 +47,10 @@
 
 USE_RC_SUBR=	trircd
 
-SUB_LIST+=	TRIRCD_USER="${TRIRCD_USER}" TRIRCD_GROUP="${TRIRCD_GROUP}" \
-		TRIRCD_RUNDIR="${TRIRCD_RUNDIR}" TRIRCD_LOGDIR="${TRIRCD_LOGDIR}" \
+SUB_LIST+=	TRIRCD_RUNDIR="${TRIRCD_RUNDIR}" TRIRCD_LOGDIR="${TRIRCD_LOGDIR}" \
 		TRIRCD_CONFDIR="${TRIRCD_CONFDIR}"
 
-SUB_FILES+=	pkg-install pkg-deinstall pkg-message
-PKGINSTALL=	${WRKDIR}/pkg-install
-PKGDEINSTALL=	${WRKDIR}/pkg-deinstall
+SUB_FILES+=	pkg-deinstall pkg-message
 PKGMESSAGE=	${WRKDIR}/pkg-message
 
 .if !defined(NO_INSTALL_MANPAGES)
@@ -68,9 +67,6 @@
 
 .include <bsd.port.pre.mk>
 
-PW?=		/usr/sbin/pw
-SUB_LIST+=	MKDIR="${MKDIR}" PW="${PW}" CHMOD="${CHMOD}" CHOWN="${CHOWN}"
-
 .if ${ARCH} == "amd64" || ${ARCH} == "ia64"
 CFLAGS+=	-fPIC
 .endif
@@ -90,9 +86,6 @@
 post-configure:
 	@${REINPLACE_CMD} -e "s,/var/log/tr-ircd,${TRIRCD_LOGDIR}," ${WRKSRC}/include/ircpath.h
 
-pre-install:
-	@${SH} ${PKGINSTALL}
-
 post-install:
 	@${MKDIR} ${TRIRCD_CONFDIR}
 	@${INSTALL_DATA} ${WRKSRC}/doc/configuration/example.conf ${TRIRCD_CONFDIR}/ircd.conf.sample
Index: files/pkg-deinstall.in
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/irc/tr-ircd/files/pkg-deinstall.in,v
retrieving revision 1.1
diff -u -r1.1 pkg-deinstall.in
--- files/pkg-deinstall.in	8 Feb 2007 22:32:06 -0000	1.1
+++ files/pkg-deinstall.in	2 Jun 2011 19:50:04 -0000
@@ -4,19 +4,8 @@
 	exit 0
 fi
 
-TRIRCD_USER="%%TRIRCD_USER%%"
-TRIRCD_GROUP="%%TRIRCD_GROUP%%"
 TRIRCD_RUNDIR="%%TRIRCD_RUNDIR%%"
 TRIRCD_LOGDIR="%%TRIRCD_LOGDIR%%"
-PW="%%PW%%"
 
-if pw usershow "${TRIRCD_USER}" 2>/dev/null 1>&2; then
-	echo "This port may have created the user: ${TRIRCD_USER}" 
-	echo "To delete this user, use '${PW} userdel \"${TRIRCD_USER}\"'"
-fi
-if pw usershow "${TRIRCD_GROUP}" 2>/dev/null 1>&2; then
-	echo "This port may have created the group: ${TRIRCD_GROUP}"
-	echo "To delete this group, use '${PW} groupdel \"${TRIRCD_GROUP}\"'"
-fi
 	echo "You may need to remove ${TRIRCD_RUNDIR} and ${TRIRCD_LOGDIR} manually."
 exit 0
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- files/pkg-install.in	8 Feb 2007 22:32:06 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,35 +0,0 @@
-#!/bin/sh
-
-TRIRCD_USER="%%TRIRCD_USER%%"
-TRIRCD_GROUP="%%TRIRCD_GROUP%%"
-TRIRCD_RUNDIR="%%TRIRCD_RUNDIR%%"
-TRIRCD_LOGDIR="%%TRIRCD_LOGDIR%%"
-TRIRCD_CONFDIR="%%TRIRCD_CONFDIR%%"
-
-MKDIR="%%MKDIR%%"
-PW="%%PW%%"
-
-if ! ${PW} groupshow "${TRIRCD_GROUP}" 2>/dev/null 1>&2; then
-        if pw groupadd ${TRIRCD_GROUP}; then
-                echo "Added group \"${TRIRCD_GROUP}\"."
-        else
-                echo "Adding group \"${TRIRCD_GROUP}\" failed..."
-                exit 1
-        fi
-else
-	echo "You already have a group \"${TRIRCD_GROUP}\"."
-fi
-
-if ! ${PW} usershow "${TRIRCD_USER}" 2>/dev/null 1>&2; then
-        if pw useradd ${TRIRCD_USER} -g ${TRIRCD_GROUP} -h - \
-                -s "/usr/sbin/nologin" -d "%%TRIRCD_CONFDIR%%" \
-                -c "TR-IRCD pseudo-user"; \
-        then
-                echo "Added user \"${TRIRCD_USER}\"."
-        else
-                echo "Adding user \"${TRIRCD_USER}\" failed..."
-                exit 1
-        fi
-else
-	echo "You already have a user \"${TRIRCD_USER}\"."
-fi
Comment 1 Edwin Groothuis freebsd_committer freebsd_triage 2011-06-04 12:00:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Matuska freebsd_committer freebsd_triage 2011-06-06 13:18:50 UTC
Do you want to be the maintainer of tr-ircd?
I don't have time to maintain this port.

-- 
Martin Matuska
FreeBSD committer
http://blog.vx.sk
Comment 3 Chris Rees 2011-06-06 15:35:07 UTC
On 6 June 2011 13:18, Martin Matuska <mm@freebsd.org> wrote:
> Do you want to be the maintainer of tr-ircd?
> I don't have time to maintain this port.
>


Hehe, this was just one patch in a looooong string that I've made [1,2].

I'd love to, but right now I've got all these to do, and I can't
afford to maintain another ircd port.

If you want to just stick it back in the pool with maintainer approved
I'm sure someone will pick it up though -- pgollucci seems to have had
the bulk of these auto-assigned, though I don't think he's noticed
yet!

Sorry!

Chris


[1] http://www.bayofrum.net/~crees/ports-misuse-user.php
[2] http://www.freebsd.org/cgi/query-pr-summary.cgi?text=should+use&originator=Chris+Rees
Comment 4 Martin Matuska freebsd_committer freebsd_triage 2011-06-22 08:38:29 UTC
Responsible Changed
From-To: mm->	 freebsd-ports-bugs

Reassign back to pool (I have withdrawn maintainership for this port)
Comment 5 Chris Rees freebsd_committer freebsd_triage 2011-06-25 21:04:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 6 dfilter service freebsd_committer freebsd_triage 2011-07-04 20:07:42 UTC
crees       2011-07-04 19:07:28 UTC

  FreeBSD ports repository

  Modified files:
    irc/tr-ircd          Makefile 
    irc/tr-ircd/files    pkg-deinstall.in 
  Removed files:
    irc/tr-ircd/files    pkg-install.in 
  Log:
  - Use USERS and GROUPS
  
  PR:             ports/157602
  Approved by:    rene (mentor, implicit)
  
  Revision  Changes    Path
  1.26      +4 -11     ports/irc/tr-ircd/Makefile
  1.2       +0 -11     ports/irc/tr-ircd/files/pkg-deinstall.in
  1.2       +0 -35     ports/irc/tr-ircd/files/pkg-install.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer freebsd_triage 2011-07-04 20:08:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!